%define anolis_release 26
Name:           liblzf
Version:        3.6
Release:        %{anolis_release}%{?dist}
Summary:        Small data compression library

License:        BSD or GPLv2+
URL:            http://oldhome.schmorp.de/marc/liblzf.html
Source0:        http://dist.schmorp.de/liblzf/liblzf-%{version}.tar.gz
# Adds autoconf and in particular support for building shared libraries.
# 7th Feb 2011 - Mail sent upstream to author. Awaiting conclusion. 
Patch0:         liblzf-%{version}-autoconf-20140314.patch

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:   make

%description
LibLZF is a very small data compression library. It consists 
of only two .c and two .h files and is very easy to 
incorporate into your own programs.  The compression algorithm 
is very, very fast, yet still written in portable C.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{EVR}

%description    devel
The liblzf-devel package contains libraries and header files for
developing applications that use liblzf.

%package doc
Summary: Documentation files for %{name}
Requires: %{name} = %{EVR}
Buildarch: noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1

%build
sh ./bootstrap.sh
%configure --disable-static
%make_build

%install
%make_install
# Binary does different things depending
# on the name it is called by.
pushd %{buildroot}%{_bindir}
ln -s lzf unlzf
#Leave lzcat  out since it conflicts with xz-lzma-compat.
#If ever needed would need an alternative setting up,
#if someone ever asks I'll do it.
#ln -s lzf lzcat
popd

%files
%license LICENSE
# The cs directory contains a .net implementation of lzf.
# Will happily add a .net sub package if given a patch.
%doc cs
%{_bindir}/lzf
%{_bindir}/unlzf
%{_libdir}/liblzf.so.*

%files doc
%doc README Changes

%files devel
%{_includedir}/lzf.h
%{_includedir}/lzfP.h
%{_libdir}/liblzf.so
%{_libdir}/pkgconfig/liblzf.pc

%changelog
* Wed Nov 22 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 3.6-26
- rebuild

* Mon Feb 6 2023 Funda Wang <fundawang@yeah.net> - 3.6-25
- Import package for anolis 23
